using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using DateValidation.Models;

namespace DateValidation.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index(ViewModel viewModel)
        {
            if (viewModel == null)
	        {
		        viewModel = new ViewModel();
	        }

            return View(viewModel);
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your app description page.";

            return View();
        }

		public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}
